c05f9d
commit 59784c512ec40e588b21cf5ae8e31e9c4f99d6b8
c05f9d
Author: Mark Wielaard <mark@klomp.org>
c05f9d
Date:   Sat May 18 14:55:50 2019 +0200
c05f9d
c05f9d
    aarch64 (arm64) isn't a supported architecture for exp-sgcheck.
c05f9d
    
c05f9d
    exp-sgcheck/pc_main.c contains:
c05f9d
    
c05f9d
       #if defined(VGA_arm) || defined(VGA_arm64)
c05f9d
          VG_(printf)("SGCheck doesn't work on ARM yet, sorry.\n");
c05f9d
          VG_(exit)(1);
c05f9d
       #endif
c05f9d
    
c05f9d
    But exp-sgcheck/tests/is_arch_supported checked against uname -m
c05f9d
    which returns aarch64 (not arm64). Fix the test check so the
c05f9d
    exp-sgcheck tests are skipped instead of producing failures.
c05f9d
c05f9d
diff --git a/exp-sgcheck/tests/is_arch_supported b/exp-sgcheck/tests/is_arch_supported
c05f9d
index 818cc61..d4c6191 100755
c05f9d
--- a/exp-sgcheck/tests/is_arch_supported
c05f9d
+++ b/exp-sgcheck/tests/is_arch_supported
c05f9d
@@ -10,6 +10,6 @@
c05f9d
 # architectures.
c05f9d
 
c05f9d
 case `uname -m` in
c05f9d
-  ppc*|arm*|s390x|mips*) exit 1;;
c05f9d
+  ppc*|aarch64|arm*|s390x|mips*) exit 1;;
c05f9d
   *)         exit 0;;
c05f9d
 esac